#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QBuffer>
#include "nrj.h"
#include "radiowidget.h"
#include "radio.h"
#include <QDebug>
#include <QSystemTrayIcon>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void closeEvent(QCloseEvent *event);

private slots:
    void setupFinished();
    void radioChanged(Radio* r);
    void setWebRadio(int i);
    void sysTrayActivated(QSystemTrayIcon::ActivationReason r);

private:
    Ui::MainWindow *ui;
    NRJ* nrj;
    Radio* currentRadio;
    QSystemTrayIcon* tray;

};

#endif // MAINWINDOW_H
