#ifndef RADIOWIDGET_H
#define RADIOWIDGET_H

#include <QMouseEvent>
#include <QFrame>
#include "radio.h"

namespace Ui {
class RadioWidget;
}

class RadioWidget : public QFrame
{
    Q_OBJECT
    
public:
    explicit RadioWidget(QWidget *parent = 0);
    ~RadioWidget();
    
    Radio* getRadio();

signals:
    void clicked(Radio*);

public slots:
    void setRadio(Radio* r);

private slots:
    void logoDownloaded(QPixmap l);
    void songChanged(Song* s);
    void countdown();

protected:
    void enterEvent(QEvent *);
    void leaveEvent(QEvent *);
    void mouseReleaseEvent(QMouseEvent* e);

private:
    Ui::RadioWidget *ui;
    Radio* radio;
    int remaining;
    QTimer* timer;
};

#endif // RADIOWIDGET_H
